"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ExecuteSqlInput_1 = require("../shapes/ExecuteSqlInput");
var ExecuteSqlOutput_1 = require("../shapes/ExecuteSqlOutput");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var InternalServerErrorException_1 = require("../shapes/InternalServerErrorException");
var ServiceUnavailableError_1 = require("../shapes/ServiceUnavailableError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ExecuteSql = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ExecuteSql",
    http: {
        method: "POST",
        requestUri: "/ExecuteSql"
    },
    input: {
        shape: ExecuteSqlInput_1.ExecuteSqlInput
    },
    output: {
        shape: ExecuteSqlOutput_1.ExecuteSqlOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: InternalServerErrorException_1.InternalServerErrorException
        },
        {
            shape: ServiceUnavailableError_1.ServiceUnavailableError
        }
    ]
};
//# sourceMappingURL=ExecuteSql.js.map