"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ArrayValueList_1 = require("./_ArrayValueList");
var _StructValue_1 = require("./_StructValue");
exports._Value = {
    type: "structure",
    required: [],
    members: {
        arrayValues: {
            shape: _ArrayValueList_1._ArrayValueList
        },
        bigIntValue: {
            shape: {
                type: "integer"
            }
        },
        bitValue: {
            shape: {
                type: "boolean"
            }
        },
        blobValue: {
            shape: {
                type: "blob"
            }
        },
        doubleValue: {
            shape: {
                type: "float"
            }
        },
        intValue: {
            shape: {
                type: "integer"
            }
        },
        isNull: {
            shape: {
                type: "boolean"
            }
        },
        realValue: {
            shape: {
                type: "float"
            }
        },
        stringValue: {
            shape: {
                type: "string"
            }
        },
        structValue: {
            shape: _StructValue_1._StructValue
        }
    }
};
//# sourceMappingURL=_Value.js.map